Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.console.extensibility
Interface NavTreeExtension

public interface NavTreeExtension

Interface to be implemented by Extensions which provide additional nodes in the navigation tree.

Author:
  Copyright 2001 BEA Systems. All Rights Reserved.

Method Summary
`java.lang.String` | `getNavExtensionFor(java.lang.Object key)` This method is called just before a given NavNode Tag begins to process its doStartTag() method.

Method Detail

### getNavExtensionFor

    public java.lang.String getNavExtensionFor(java.lang.Object key)

  This method is called just before a given NavNode Tag begins to process its doStartTag() method.

  The parameter supplied is it's 'extensiblity key', which is an arbitrary objectTypically, the implementing method will be an arbitrary object which is in some sense represented by the nav node. This value will never be null.

  For example, the MBean for'myserver' will be represented only one dialog and ServerMBean.class will be represented by only one nav node. Note that in this way, the extension remains largely presentation neutral, in that it does not have to be concerned with exactly where a given item appears in the tree; it is only concerned with associating it's additional content with abstract entities.

  The value returned should be a path (relative to the extension webapp's root) to a a jsp which contains <wl:node> tags which will be inserted as additional child nodes. A return value of null indicates

  This method should return null that the extension has no additional nodes to insert for the given key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference